import BaseContainer from '../BaseContainer';
declare class PageListing extends BaseContainer {
    props: any;
    state: any;
    filterFields: any;
    static propTypes: any;
    constructor(props: any);
    processField(field: any): any;
    componentDidMount(): Promise<void>;
    refreshPages(options?: {}): Promise<void>;
    componentDidUpdate(prevProps: any): void;
    getCurrentPage(): {
        pageNo: any;
        pageSize: any;
    };
    onGridAction(row: any, value: any, column: any): Promise<void>;
    onCloneFormSubmit(data: any): Promise<void>;
    toggleEditForm(): Promise<void>;
    onTreeSelect(data: any): Promise<void>;
    onQuickFilterChange: (data: any, action: any) => Promise<void>;
    onFilterAction(data: any, action: any): Promise<void>;
    handleAction(data: any, action: any): Promise<void>;
    render(): import("react/jsx-runtime").JSX.Element;
}
export { PageListing };
export default PageListing;
